Subject: bug#22300: 25.1.50; Dired -- renaming folders/files to CamelCase/UPPERCASE/lowercase.

From: Eli Zaretskii <[email-masked]>
Date: Mon, 04 Jan 2016 21:44:29 +0200

> From: John Wiegley <[email-masked]>
> Cc: Drew Adams <[email-masked]>,  [email-masked],  [email-masked]
> Date: Mon, 04 Jan 2016 11:22:57 -0800
> 
> >>>>> Eli Zaretskii <[email-masked]> writes:
> 
> > If OS X filesystems are always case-insensitive, perhaps the same code
> > should also be compiled on that system. If some of OS X filesystems are
> > case-sensitive, we can only do that if Emacs can know which one is it.
> 
> The boot filesystem must be case-insensitive, but HFS+ allows formatting a
> drive as case-sensitive on non-boot volumes, so we can't assume OS X = case
> insensitive. (I also use ZFS on the Mac, which can be case sensitive or
> insensitive).

Is there a C-callable API that could establish which one is it?
Something like the Posix 'pathconf', perhaps, with some magic
_PC_something argument?